Page MenuHomePhabricator

Categorytree counts doesn't appear in hewiki
Closed, InvalidPublic

Description

It seems that special configuration for hewiki (done for T13776 long time ago) caused category tree counts to not appear in categorypages.
Since this is the default behavior now in all wikis hewiki would like to behave the same way...

Details

Related Gerrit Patches:
operations/mediawiki-config : masterShow counts in category pages on he.wikipedia

Event Timeline

eranroz created this task.Apr 18 2016, 10:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 18 2016, 10:09 PM
Restricted Application added subscribers: JEumerus, Matanya. · View Herald TranscriptApr 18 2016, 10:09 PM

Change 284087 had a related patch set uploaded (by Eranroz):
Show counts in category pages - hewiki

https://gerrit.wikimedia.org/r/284087

Dereckson triaged this task as Medium priority.Apr 26 2016, 4:10 PM

Change 284087 merged by jenkins-bot:
Show counts in category pages on he.wikipedia

https://gerrit.wikimedia.org/r/284087

Mentioned in SAL [2016-06-01T21:37:17Z] <twentyafterfour@tin> Synchronized wmf-config/InitialiseSettings.php: deploy /wmf-config/InitialiseSettings.php for eranroz ( T132972 ) (duration: 00m 25s)

mmodell closed this task as Resolved.Jun 1 2016, 9:39 PM
Kipod reopened this task as Open.Jun 2 2016, 4:47 PM
Kipod added a comment.Jun 2 2016, 4:53 PM

The fix broke something else: now, subcategories categorytree appear as "empty" even when they are not empty: i.e., the # of pages in the subcat appears correctly, however, the right-side collapser is grey, and has class
CategoryTreeEmptyBullet, and can't be expanded, even for non-empty subcats.

more detailed explanation: categorytree can be set to display pages, subcats, both or none. before this change it was set to display both, with no counts. after this change, it displays only subcats, with counts. desired behavior: display both, with counts.

peace.

Dereckson moved this task from To deploy to Backlog on the Wikimedia-Site-requests board.EditedJun 4 2016, 11:50 PM
Dereckson added a subscriber: Dereckson.

Do you want a revert to rollback to the previous configuration?

Or do you prefer we investigate to offer you a definitive solution to this new issue (that could take some time)?

Dereckson removed eranroz as the assignee of this task.Jun 4 2016, 11:51 PM
Dereckson raised the priority of this task from Medium to High.
Dereckson removed a project: Patch-For-Review.

@Kipod Special:CategoryTree has a setting to show only subcategories, only pages that are not files, or all pages, if you didn't notice.

I think the current behavior is correct and the task can be closed.

@Kipod: please clarify whether the comment is about this configuration (and then the discussion can be continued in he:WP:VP to select the desired configuration) or a bug in the behavior that appear under this configuration, in which case this can be splited to a different task in the MediaWiki-extensions-CategoryTree board.

@Kipod: Could you clarify please?

Aklapper closed this task as Invalid.Jan 30 2017, 1:31 PM

Unfortunately closing this report as no further information has been provided and as per eranroz' last comment.
@Kipod: Please reopen this report (by changing its status) after you have provided the information asked for and if this still happens. Thanks!